/*
 * file:   ssman1d.h
 * author: Hinke Osinga and Reza Rokni --- University of Exeter
 * date:   April 2001
 */

#ifndef SSMAN_H
#define SSMAN_H

#include "memory.h"
#include "fixed.h"

struct Ssman_DataS{
  memory             memory;
  int                Side;
  int                Sstab_Steps;
  int                Sstab_Points;
  int                Ustab_Steps;
  int                Ustab_Points;
  double             Ini_Step;
  double             Max_Arclength;
  int                Curve;
  double             alpha_min;
  double             alpha_max;
  double             Delta_alpha_min;
  double             Delta_alpha_max;
  double             Delta_min;
  double             Ini_Step_2;
  int                Compare_J;
  };

/* ssman1d.c */
void ssman1d_install(void);
void mans_clear(void);

/* ssman1d_init.c */
int  ssman1d_load(struct Fixpt_DataS*, int);
void release_ssman1d(struct Fixpt_DataS*);

/* s1dman_compute.c */
int s1dman_compute(struct Fixpt_DataS*, int);

/* ssman1d_ode.c */
int ssman1d_ode(struct Fixpt_DataS*, int, int);

/* curvature_proc.c */
int curvature_proc(struct Fixpt_DataS*, int, double);
int triangle();
#endif




